PASCAL mode in EMACS provides support for inputing and editing Pascal
code.  You should be in Pascal Mode automatically when you edit a
Pascal file.  You can call it directly by loading the Pascal library
(M-X Load Library <esc> Pascal <cr>) and giving the command M-X Pascal Mode.

 PASCAL mode allows easy formatting of Pascal code as you type it in.  Its
main concern is with indentation, not with breaking lines, so that it fits in
well with most styles of formatting.  There is also a great deal of
customization avaialable to suit individual tastes. Note: If the load is too
high to effectively use the indentation package, or you just don't get along
with it, you can turn it off by setting Indent Align Only to 1.  This will
force the indentation to only align with the previous line, without trying to
figure out how much less or more to indent.